from .base import *

# This is the default configuration file when running manage.py

ALLOWED_HOSTS += ["localhost", "127.0.0.1"]

ORGREG_CLIENT = {
    "endpoints": {"base_url": "https://example.com/fake/"},
    "headers": {"X-Gravitee-Api-Key": "bar"},
}

try:
    from .local import *
except ImportError:
    pass


AUTHENTICATION_BACKENDS = [
    "gregui.authentication.auth_backends.DevBackend",  # Fake dev backend
    "django.contrib.auth.backends.ModelBackend",  # default
    "gregui.authentication.auth_backends.GregOIDCBackend",
    "sesame.backends.ModelBackend",  # link login
]

LOGIN_REDIRECT_URL = "http://localhost:3000/"
LOGOUT_REDIRECT_URL = "http://localhost:3000/"

CSRF_COOKIE_SAMESITE = "Strict"
SESSION_COOKIE_SAMESITE = "Lax"
# CSRF_COOKIE_HTTPONLY = True
# SESSION_COOKIE_HTTPONLY = True
